httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@covalent.net
Subject Re: BSDi build?
Date Thu, 21 Sep 2000 15:04:42 GMT
On Wed, 20 Sep 2000, Manoj Kasichainula wrote:
> On Wed, Sep 20, 2000 at 12:46:10PM -0700, rbb@covalent.net wrote:
> > On Wed, 20 Sep 2000, Tony Finch wrote:
> > > Peter Seebach just submitted a bug about this exact issue (#6553). Are
> > > we going to fix it properly or do we just require that BSDi people use
> > > gmake? I don't particularly want to dig into the config stuff myself...
> > 
> > We need to fix this properly.  The only requirement Apache has ever made
> > with regard to the build environment is that we have an ANSI
> > compiler.  With 2.0 we need to stick with that rule.  The only people who
> > need more than an ANSI compiler to build Apache, are people modifying the
> > configuration scripts.
> 
> Does BSDi ship with gmake in addition to its own? If so, then gmake
> isn't really an extra requirement.

Sure it is.  Whether it ships with it or not, it is required that it is
installed now.  With Apache 1.3, it did not need to be installed.  The
fact that there is a machine that can compile Apache 1.3 but not 2.0
because of the make version is bogus IMHO.

Ryan

_______________________________________________________________________________
Ryan Bloom                        	rbb@apache.org
406 29th St.
San Francisco, CA 94131
-------------------------------------------------------------------------------


Mime
View raw message